opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
cv::SIFT::CommonParams Struct Reference

`#include <features2d.hpp>`

## Public Types
enum | { FIRST_ANGLE = 0, AVERAGE_ANGLE = 1 }

## Public Member Functions
| CommonParams ()
| CommonParams (int _nOctaves, int _nOctaveLayers, int _firstOctave, int _angleMode)

## Public Attributes
int | angleMode
int | firstOctave
int | nOctaveLayers
int | nOctaves

## Static Public Attributes
static const int | DEFAULT_FIRST_OCTAVE = -1
static const int | DEFAULT_NOCTAVE_LAYERS = 3
static const int | DEFAULT_NOCTAVES = 4

## Member Enumeration Documentation

anonymous enum

Enumerator:

  FIRST_ANGLE |
  AVERAGE_ANGLE |

## Constructor & Destructor Documentation

cv::SIFT::CommonParams::CommonParams | ( |  | ) |

cv::SIFT::CommonParams::CommonParams | ( | int | _nOctaves,
|  | int | _nOctaveLayers,
|  | int | _firstOctave,
|  | int | _angleMode
| ) |  |

## Member Data Documentation

int cv::SIFT::CommonParams::angleMode

const int cv::SIFT::CommonParams::DEFAULT_FIRST_OCTAVE = -1
| static

const int cv::SIFT::CommonParams::DEFAULT_NOCTAVE_LAYERS = 3
| static

const int cv::SIFT::CommonParams::DEFAULT_NOCTAVES = 4
| static

int cv::SIFT::CommonParams::firstOctave

int cv::SIFT::CommonParams::nOctaveLayers

int cv::SIFT::CommonParams::nOctaves

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp